%define name sloccount
%define version 2.26

Name: %name
Version: %version
Release: %mkrel 10

Summary: Measures source lines of code (SLOC) in programs
License: GPL
Group: Development/Tools
URL: http://www.dwheeler.com/sloccount
Source: http://www.dwheeler.com/sloccount/%name-%version.tar.bz2

BuildRequires:	flex

%description
SLOCCount (pronounced "sloc-count") is a suite of programs for counting
physical source lines of code (SLOC) in potentially large software systems
(thus, SLOCCount is a "software metrics tool" or "software measurement tool").
SLOCCount can count physical SLOC for a wide number of languages;
listed alphabetically, they are: Ada, Assembly, awk, Bourne shell, C, C++,
C shell, COBOL, Expect, Fortran, Java, lex/flex, LISP (including Scheme),
Modula-3, Objective-C, Pascal, Perl, PHP, Python, sed, TCL, and Yacc.
SLOCCount can automatically determine if a file
is a source code file or not, and if so, which language it's written in.
As a result, you can analyze large systems completely automatically;
it's been used to examine entire GNU/Linux distributions, for example.
SLOCCount also includes some report-generating tools
to collect the data generated and present it in several different formats.
Normally you can just run "sloccount DIRECTORY" and all the source code
in the directory and its descendants will be counted.

%prep
%setup -q

%build
%make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
make install_programs PREFIX=${RPM_BUILD_ROOT}%{_prefix}
make install_man PREFIX=${RPM_BUILD_ROOT}%{_prefix}

%files
%doc sloccount.html README ChangeLog COPYING TODO
%{_bindir}/*
%{_mandir}/*/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.26-10.mga3
+ Revision: 382184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 malo <malo> 2.26-9.mga3
+ Revision: 308986
- spec clean-up
- update RPM group

* Thu Mar 03 2011 jquelin <jquelin> 2.26-8.mga1
+ Revision: 62816
- mageia rebuild
- imported package sloccount

